## ros-indigo-hironx-rpc-msgs 0.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(hironx_rpc_msgs)

find_package(catkin REQUIRED COMPONENTS
	actionlib_msgs
	geometry_msgs
	message_generation
	std_msgs
	tork_rpc_util
)

add_action_files(DIRECTORY action)
add_message_files(DIRECTORY msg)
add_service_files(DIRECTORY srv)

generate_messages(DEPENDENCIES actionlib_msgs geometry_msgs std_msgs tork_rpc_util)

catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES hironx_rpc_msgs
    CATKIN_DEPENDS message_runtime
#  DEPENDS system_lib
)

=== debian/changelog ===
ros-indigo-hironx-rpc-msgs (0.0.5-0trusty) trusty; urgency=high



 -- TORK <dev@opensource-robotics.tokyo.jp>  Fri, 07 Apr 2017 07:00:00 -0000

ros-indigo-hironx-rpc-msgs (0.0.4-0trusty) trusty; urgency=high

  * [fix] More build error. #4 <https://github.com/tork-a/hironx_rpc/pull/4>
  * Contributors: Isaac I.Y. Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Thu, 30 Mar 2017 07:00:00 -0000

ros-indigo-hironx-rpc-msgs (0.0.3-0trusty) trusty; urgency=high

  * [fix] Build error found on ROS buildfarm <http://build.ros.org/job/Ibin_uT64__hironx_rpc_msgs__ubuntu_trusty_amd64__binary/1/>.
  * Contributors: Isaac I.Y. Saito

 -- TORK <dev@opensource-robotics.tokyo.jp>  Thu, 30 Mar 2017 07:00:00 -0000

ros-indigo-hironx-rpc-msgs (0.0.2-0trusty) trusty; urgency=high



 -- TORK <dev@opensource-robotics.tokyo.jp>  Sat, 25 Mar 2017 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-hironx-rpc-msgs
Section: misc
Priority: extra
Maintainer: TORK <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-message-generation, ros-indigo-std-msgs, ros-indigo-tork-rpc-util
Homepage: http://wiki.ros.org/hironx_rpc_msgs
Standards-Version: 3.9.2

Package: ros-indigo-hironx-rpc-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib-msgs, ros-indigo-geometry-msgs, ros-indigo-message-runtime, ros-indigo-std-msgs, ros-indigo-tork-rpc-util
Description: ROS topic/service/action files are defined in this package for Hironx RPC (Remote Procedure Call).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-hironx-rpc-msgs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
